<?php
/**
 * The template for displaying 404 pages (not found)
 *
 * @package WordPress
 * @subpackage Capie
 * @since Capie 1.0
 */
/*
*Template Name: 404 Page
*/
get_header();
$icon = capie_get_config('icon-img');
?>
<section class="page-404">
	<div id="main-container" class="inner">
		<div id="main-content" class="main-page">
			<section class="error-404 not-found clearfix">
				<div class="container">
					<div class="row flex-middle-sm">
						<div class="col-sm-5 hidden-xs">
							<?php if( !empty($icon) && !empty($icon['url'])) { ?>
								<img src="<?php echo esc_url( $icon['url']); ?>" alt="<?php bloginfo( 'name' ); ?>">
							<?php }else{ ?>
								<img src="<?php echo esc_url_raw( get_template_directory_uri().'/images/error.png'); ?>" alt="<?php bloginfo( 'name' ); ?>">
							<?php } ?>
						</div>
						<div class="col-sm-7">
							<div class="error-content">
								<div class="slogan">
									<?php if(!empty(capie_get_config('404_title', '404')) ) { ?>
										<h4 class="title-big"><?php echo capie_get_config('404_title', '404'); ?></h4>
									<?php } ?>
								</div>
								<div class="page-content">								
									<div class="description">
										<?php echo capie_get_config('404_description', 'The page you are looking for cannot be found. take a break before trying again'); ?>
									</div>
									<div class="return">
										<a class="btn btn-theme radius-50" href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php echo esc_html__('Back to homepage','capie') ?></a>
									</div>
								</div><!-- .page-content -->
							</div>
						</div>						
					</div>
				</div>
			</section><!-- .error-404 -->
		</div><!-- .content-area -->
	</div>
</section>
<?php get_footer(); ?>