<?php

// Shop Archive settings
function capie_woo_redux_config($sections, $sidebars, $columns) {
    $attributes = array();
    if ( is_admin() ) {
        $attrs = wc_get_attribute_taxonomies();
        if ( $attrs ) {
            foreach ( $attrs as $tax ) {
                $attributes[wc_attribute_taxonomy_name( $tax->attribute_name )] = $tax->attribute_label;
            }
        }
    }
    $sections[] = array(
        'icon' => 'el el-shopping-cart',
        'title' => esc_html__('Shop Settings', 'capie'),
        'fields' => array(
            array(
                'id' => 'products_general_total_setting',
                'icon' => true,
                'type' => 'info',
                'raw' => '<h3 style="margin: 0;"> '.esc_html__('General Setting', 'capie').'</h3>',
            ),
            array(
                'id' => 'enable_shop_catalog',
                'type' => 'switch',
                'title' => esc_html__('Enable Shop Catalog', 'capie'),
                'default' => 0,
                'subtitle' => esc_html__('Enable Catalog Mode for disable Add To Cart button, Cart, Checkout', 'capie'),
            ),
            array(
                'id' => 'products_watches_setting',
                'icon' => true,
                'type' => 'info',
                'raw' => '<h3 style="margin: 0;"> '.esc_html__('Swatches Variation Setting', 'capie').'</h3>',
            ),
            array(
                'id' => 'show_product_swatches_on_grid',
                'type' => 'switch',
                'title' => esc_html__('Show Swatches On Product Grid', 'capie'),
                'default' => 1
            ),
            array(
                'id' => 'product_swatches_attribute',
                'type' => 'select',
                'title' => esc_html__( 'Grid swatch attribute to display', 'capie' ),
                'subtitle' => esc_html__( 'Choose attribute that will be shown on products grid', 'capie' ),
                'options' => $attributes
            ),
            array(
                'id' => 'show_product_swatches_use_images',
                'type' => 'switch',
                'title' => esc_html__('Use images from product variations', 'capie'),
                'subtitle' => esc_html__( 'If enabled swatches buttons will be filled with images choosed for product variations and not with images uploaded to attribute terms.', 'capie' ),
                'default' => 1
            ),
            array(
                'id' => 'products_breadcrumb_setting',
                'icon' => true,
                'type' => 'info',
                'raw' => '<h3 style="margin: 0;"> '.esc_html__('Breadcrumbs Setting', 'capie').'</h3>',
            ),
            array(
                'id' => 'show_product_breadcrumbs',
                'type' => 'switch',
                'title' => esc_html__('Breadcrumbs', 'capie'),
                'default' => 1
            ),
            array(
                'title' => esc_html__('Breadcrumbs Background Color', 'capie'),
                'subtitle' => '<em>'.esc_html__('The breadcrumbs background color of the site.', 'capie').'</em>',
                'id' => 'woo_breadcrumb_color',
                'type' => 'color',
                'transparent' => false,
            ),
            array(
                'id' => 'woo_breadcrumb_image',
                'type' => 'media',
                'title' => esc_html__('Breadcrumbs Background', 'capie'),
                'subtitle' => esc_html__('Upload a .jpg or .png image that will be your breadcrumbs.', 'capie'),
            ),
        )
    );
    // Archive settings
    $sections[] = array(
        'title' => esc_html__('Product Archives', 'capie'),
        'subsection' => true,
        'fields' => array(
            array(
                'id' => 'products_sidebar_setting',
                'icon' => true,
                'type' => 'info',
                'raw' => '<h3 style="margin: 0;"> '.esc_html__('Sidebar Setting', 'capie').'</h3>',
            ),
            array(
                'id' => 'product_archive_fullwidth',
                'type' => 'switch',
                'title' => esc_html__('Is Full Width?', 'capie'),
                'default' => false
            ),
            array(
                'id' => 'product_archive_layout',
                'type' => 'image_select',
                'compiler' => true,
                'title' => esc_html__('Archive Product Layout', 'capie'),
                'subtitle' => esc_html__('Select the layout you want to apply on your archive product page.', 'capie'),
                'options' => array(
                    'main' => array(
                        'title' => esc_html__('Main Content', 'capie'),
                        'alt' => esc_html__('Main Content', 'capie'),
                        'img' => get_template_directory_uri() . '/inc/assets/images/screen1.png'
                    ),
                    'left-main' => array(
                        'title' => esc_html__('Left Sidebar - Main Content', 'capie'),
                        'alt' => esc_html__('Left Sidebar - Main Content', 'capie'),
                        'img' => get_template_directory_uri() . '/inc/assets/images/screen2.png'
                    ),
                    'main-right' => array(
                        'title' => esc_html__('Main Content - Right Sidebar', 'capie'),
                        'alt' => esc_html__('Main Content - Right Sidebar', 'capie'),
                        'img' => get_template_directory_uri() . '/inc/assets/images/screen3.png'
                    ),
                ),
                'default' => 'left-main'
            ),
            array(
                'id' => 'product_archive_left_sidebar',
                'type' => 'select',
                'title' => esc_html__('Archive Left Sidebar', 'capie'),
                'subtitle' => esc_html__('Choose a sidebar for left sidebar.', 'capie'),
                'options' => $sidebars,
                'required' => array('product_archive_layout', '=', array('left-main', 'main-right'))
            ),
            array(
                'id' => 'product_archive_right_sidebar',
                'type' => 'select',
                'title' => esc_html__('Archive Right Sidebar', 'capie'),
                'subtitle' => esc_html__('Choose a sidebar for right sidebar.', 'capie'),
                'options' => $sidebars,
                'required' => array('product_archive_layout', '=', array('left-main', 'main-right'))
            ),
            array(
                'id' => 'product_archive_top_filter',
                'type' => 'switch',
                'title' => esc_html__('Enable Filter Top', 'capie'),
                'default' => 1,
                'required' => array('product_archive_layout', '=', array('main')),
                'description' => esc_html__('Enter filter widget in sidebar "Shop Top Filter Sidebar".', 'capie'),
            ),
            array(
                'id' => 'products_general_setting',
                'icon' => true,
                'type' => 'info',
                'raw' => '<h3 style="margin: 0;"> '.esc_html__('General Setting', 'capie').'</h3>',
            ),
            array(
                'id' => 'show_shop_cat_title',
                'type' => 'switch',
                'title' => esc_html__('Show Shop/Category Title ?', 'capie'),
                'default' => 1
            ),
            array(
                'id' => 'show_shop_add_to_cart_btn',
                'type' => 'switch',
                'title' => esc_html__('Show Add To Cart Button', 'capie'),
                'default' => 0
            ),
            array(
                'id' => 'product_display_mode',
                'type' => 'select',
                'title' => esc_html__('Products Layout', 'capie'),
                'subtitle' => esc_html__('Choose a default layout archive product.', 'capie'),
                'options' => array(
                    'grid' => esc_html__('Grid', 'capie'),
                    'list' => esc_html__('List', 'capie'),
                    'metro' => esc_html__('Metro', 'capie'),
                ),
                'default' => 'grid'
            ),
            array(
                'id' => 'product_columns',
                'type' => 'select',
                'title' => esc_html__('Product Columns', 'capie'),
                'options' => $columns,
                'default' => 4,
                'required' => array('product_display_mode', '=', array('grid'))
            ),
            array(
                'id' => 'number_products_per_page',
                'type' => 'text',
                'title' => esc_html__('Number of Products Per Page', 'capie'),
                'default' => 12,
                'min' => '1',
                'step' => '1',
                'max' => '100',
                'type' => 'slider'
            ),
            array(
                'id' => 'show_quickview',
                'type' => 'switch',
                'title' => esc_html__('Show Quick View', 'capie'),
                'default' => 1
            ),
            array(
                'id' => 'enable_swap_image',
                'type' => 'switch',
                'title' => esc_html__('Enable Swap Image', 'capie'),
                'default' => 1
            ),
            array(
                'id' => 'product_pagination',
                'type' => 'select',
                'title' => esc_html__('Pagination Type', 'capie'),
                'options' => array(
                    'default' => esc_html__('Default', 'capie'),
                    'loadmore' => esc_html__('Load More Button', 'capie'),
                    'infinite' => esc_html__('Infinite Scrolling', 'capie'),
                ),
                'default' => 'default'
            ),
            
        )
    );
    
    
    // Product Page
    $sections[] = array(
        'title' => esc_html__('Single Product', 'capie'),
        'subsection' => true,
        'fields' => array(
            array(
                'id' => 'product_general_setting',
                'icon' => true,
                'type' => 'info',
                'raw' => '<h3 style="margin: 0;"> '.esc_html__('General Setting', 'capie').'</h3>',
            ),
            array(
                'id' => 'product_single_version',
                'type' => 'select',
                'title' => esc_html__('Single Product Layout', 'capie'),
                'subtitle' => esc_html__('Select the layout you want to apply on your Single Product Page.', 'capie'),
                'options' => array(
                    'default' => esc_html__('Default', 'capie'),
                    'layout-image-2-columns' => esc_html__('Layout Image 2 Columns', 'capie'),
                    'layout-image-1-column' => esc_html__('Layout Image 1 Column', 'capie'),
                    'layout-center' => esc_html__('Layout Center', 'capie'),
                ),
                'default' => 'default',
            ),
            array(
                'id' => 'product_thumbs_position',
                'type' => 'select',
                'title' => esc_html__('Thumbnails Position', 'capie'),
                'options' => array(
                    'thumbnails-left' => esc_html__('Thumbnails Left', 'capie'),
                    'thumbnails-right' => esc_html__('Thumbnails Right', 'capie'),
                    'thumbnails-bottom' => esc_html__('Thumbnails Bottom', 'capie'),
                ),
                'default' => 'thumbnails-bottom',
                'required' => array('product_single_version', '=', array('default'))
            ),
            array(
                'id' => 'number_product_thumbs',
                'title' => esc_html__('Number Thumbnails Per Row', 'capie'),
                'default' => 4,
                'min' => '1',
                'step' => '1',
                'max' => '8',
                'type' => 'slider',
                'required' => array('product_single_version', '=', array('default'))
            ),
            array(
                'id' => 'show_product_countdown_timer',
                'type' => 'switch',
                'title' => esc_html__('Show Product CountDown Timer', 'capie'),
                'subtitle' => esc_html__('For only product deal', 'capie'),
                'default' => 1
            ),
            array(
                'id' => 'show_product_stock_progess',
                'type' => 'switch',
                'title' => esc_html__('Show Product Stock progress', 'capie'),
                'default' => 1
            ),
            array(
                'id' => 'show_product_meta',
                'type' => 'switch',
                'title' => esc_html__('Show Product Meta', 'capie'),
                'default' => 1
            ),
            array(
                'id' => 'show_product_social_share',
                'type' => 'switch',
                'title' => esc_html__('Show Social Share', 'capie'),
                'default' => false
            ),
            array(
                'id' => 'show_product_review_tab',
                'type' => 'switch',
                'title' => esc_html__('Show Product Review Tab', 'capie'),
                'default' => 1
            ),
            array(
                'id' => 'hidden_product_additional_information_tab',
                'type' => 'switch',
                'title' => esc_html__('Hidden Product Additional Information Tab', 'capie'),
                'default' => 1
            ),

            array(
                'id' => 'product_sidebar_setting',
                'icon' => true,
                'type' => 'info',
                'raw' => '<h3 style="margin: 0;"> '.esc_html__('Sidebar Setting', 'capie').'</h3>',
            ),
            array(
                'id' => 'product_single_layout',
                'type' => 'image_select',
                'compiler' => true,
                'title' => esc_html__('Single Product Sidebar Layout', 'capie'),
                'subtitle' => esc_html__('Select the layout you want to apply on your Single Product Page.', 'capie'),
                'options' => array(
                    'main' => array(
                        'title' => esc_html__('Main Only', 'capie'),
                        'alt' => esc_html__('Main Only', 'capie'),
                        'img' => get_template_directory_uri() . '/inc/assets/images/screen1.png'
                    ),
                    'left-main' => array(
                        'title' => esc_html__('Left - Main Sidebar', 'capie'),
                        'alt' => esc_html__('Left - Main Sidebar', 'capie'),
                        'img' => get_template_directory_uri() . '/inc/assets/images/screen2.png'
                    ),
                    'main-right' => array(
                        'title' => esc_html__('Main - Right Sidebar', 'capie'),
                        'alt' => esc_html__('Main - Right Sidebar', 'capie'),
                        'img' => get_template_directory_uri() . '/inc/assets/images/screen3.png'
                    ),
                ),
                'default' => 'left-main'
            ),
            array(
                'id' => 'product_single_fullwidth',
                'type' => 'switch',
                'title' => esc_html__('Is Full Width?', 'capie'),
                'default' => false
            ),
            array(
                'id' => 'product_single_left_sidebar',
                'type' => 'select',
                'title' => esc_html__('Single Product Left Sidebar', 'capie'),
                'subtitle' => esc_html__('Choose a sidebar for left sidebar.', 'capie'),
                'options' => $sidebars
            ),
            array(
                'id' => 'product_single_right_sidebar',
                'type' => 'select',
                'title' => esc_html__('Single Product Right Sidebar', 'capie'),
                'subtitle' => esc_html__('Choose a sidebar for right sidebar.', 'capie'),
                'options' => $sidebars
            ),
            array(
                'id' => 'product_block_setting',
                'icon' => true,
                'type' => 'info',
                'raw' => '<h3 style="margin: 0;"> '.esc_html__('Product Block Setting', 'capie').'</h3>',
            ),
            array(
                'id' => 'show_product_releated',
                'type' => 'switch',
                'title' => esc_html__('Show Products Releated', 'capie'),
                'default' => false
            ),
            array(
                'id' => 'number_product_releated',
                'title' => esc_html__('Number of related products to show', 'capie'),
                'default' => 4,
                'min' => '1',
                'step' => '1',
                'max' => '50',
                'type' => 'slider',
                'required' => array('show_product_releated', '=', true)
            ),
            array(
                'id' => 'releated_product_columns',
                'type' => 'select',
                'title' => esc_html__('Releated Products Columns', 'capie'),
                'options' => $columns,
                'default' => 3,
                'required' => array('show_product_releated', '=', true)
            ),

            array(
                'id' => 'show_product_upsells',
                'type' => 'switch',
                'title' => esc_html__('Show Products upsells', 'capie'),
                'default' => 1
            ),
            array(
                'id' => 'upsells_product_columns',
                'type' => 'select',
                'title' => esc_html__('Upsells Products Columns', 'capie'),
                'options' => $columns,
                'default' => 4,
                'required' => array('show_product_upsells', '=', true)
            ),
        )
    );
    
    return $sections;
}
add_filter( 'capie_redux_framwork_configs', 'capie_woo_redux_config', 10, 3 );