<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

$show_taxonomy_description = is_product_taxonomy() ? true : false;

$display_mode = capie_woocommerce_get_display_mode();

$sidebar_layout = capie_get_config('product_archive_layout', 'left-main');
?> 

<?php
	// Page title
	printf( '<div id="apus-wp-title">%s</div>', wp_title( '&ndash;', false, 'right' ) );
?>


<div id="apus-shop-products-wrapper" class="apus-shop-products-wrapper">
<?php
	
	// Taxonomy description
	if ( $show_taxonomy_description ) {
		/**
		 * woocommerce_archive_description hook
		 *
		 * @hooked woocommerce_taxonomy_archive_description - 10
		 * @hooked woocommerce_product_archive_description - 10
		 */
		do_action( 'woocommerce_archive_description' );
	}
	
	if ( have_posts() ) {

		global $woocommerce_loop, $wp_query;
		?>
		<div class="top-archive-shop">
			
			<?php if ( $sidebar_layout == 'main' && capie_get_config('product_archive_top_filter') ) { ?>
					<div class="before-shop-header-wrapper clearfix">
						<div class="before-shop-loop-fillter pull-left">
							<?php
								remove_action( 'woocommerce_before_shop_loop', 'woocommerce_result_count', 20 );
								remove_action( 'woocommerce_before_shop_loop', 'woocommerce_catalog_ordering' , 30 );
							?>
							<?php do_action( 'woocommerce_before_shop_loop' ); ?>
						</div>
						<?php wc_get_template_part( 'content', 'product_header' ); ?>
					</div>
				<?php
                    wc_get_template_part( 'content', 'product_results_bar' );
				} else {
                ?>
                	<div class="before-shop-header-wrapper clearfix">
						<?php do_action( 'woocommerce_before_shop_loop' ); ?>
					</div>
            <?php } ?>
		</div>
		<?php
			$subcategories = woocommerce_maybe_show_product_subcategories();
			if ( $subcategories ) {
				woocommerce_product_loop_start(); ?>
					<div class="row">
						<?php echo woocommerce_maybe_show_product_subcategories( ); ?>
					</div>
				<?php
				woocommerce_product_loop_end();
			}
		?>

		<?php woocommerce_product_loop_start(); ?>
            
            <?php
				$attr = 'class="products-wrapper-'.esc_attr($display_mode).'"';
				if ( $display_mode == 'metro' ) {
					$attr = 'class="products-wrapper-mansory isotope-items row" data-isotope-duration="400" data-columnwidth=".col-sm-3"';
				}
			?>
			<div <?php echo trim($attr); ?>>
				<?php if ( $display_mode == 'list' || $display_mode == 'grid' ) { ?>
					<div class="row row-products-wrapper">
						<?php while ( have_posts() ) : the_post(); ?>
							<?php wc_get_template_part( 'content', 'product' ); ?>
						<?php endwhile; // end of the loop. ?>
					</div>
				<?php } else { ?>
					<?php while ( have_posts() ) : the_post(); ?>
						<?php wc_get_template_part( 'content', 'product' ); ?>
					<?php endwhile; // end of the loop. ?>
				<?php } ?>
			</div>
            <?php
		woocommerce_product_loop_end();
		
		do_action( 'woocommerce_after_shop_loop' );
		do_action( 'woocommerce_after_main_content' );
		
	} elseif ( ! woocommerce_product_subcategories( array( 'before' => woocommerce_product_loop_start( false ), 'after' => woocommerce_product_loop_end( false ) ) ) ) {

		wc_get_template( 'loop/no-products-found.php' );

	}
?>
</div>
