<?php

get_header();
$sidebar_configs = capie_get_woocommerce_layout_configs();

$display_mode = capie_woocommerce_get_display_mode();

$sidebar_layout = capie_get_config('product_archive_layout', 'left-main');
if ( $display_mode == 'metro' ) {
	wp_enqueue_script( 'isotope-pkgd', get_template_directory_uri().'/js/isotope.pkgd.min.js', array( 'jquery', 'imagesloaded' ) );
}
?>

<?php do_action( 'capie_woo_template_main_before' ); ?>
<section id="main-container" class="page-shop <?php echo apply_filters('capie_woocommerce_content_class', 'container');?>">

	<?php do_action('capie_woocommerce_archive_description'); ?>
	
	<?php capie_before_content( $sidebar_configs ); ?>

	
	<div class="row">
		<?php capie_display_sidebar_left( $sidebar_configs ); ?>

		<div id="main-content" class="archive-shop col-xs-12 <?php echo esc_attr($sidebar_configs['main']['class']); ?>">

			<div id="primary" class="content-area">
				<div id="content" class="site-content" role="main">

					
					<div id="apus-shop-products-wrapper" class="apus-shop-products-wrapper">
						

                        <!-- product content -->
						<?php if ( apply_filters( 'woocommerce_show_page_title', true ) ) : ?>
							<h1 class="page-title"><?php woocommerce_page_title(); ?></h1>
						<?php endif; ?>

						<?php do_action( 'woocommerce_archive_description' ); ?>

						<?php if ( have_posts() ) : ?>
							<div class="top-archive-shop">
								
								<?php if ( $sidebar_layout == 'main' && capie_get_config('product_archive_top_filter') ) { ?>
									<div class="before-shop-header-wrapper clearfix">
										<div class="before-shop-loop-fillter pull-left">
											<?php
												remove_action( 'woocommerce_before_shop_loop', 'woocommerce_result_count', 20 );
												remove_action( 'woocommerce_before_shop_loop', 'woocommerce_catalog_ordering' , 30 );
											?>
											<?php do_action( 'woocommerce_before_shop_loop' ); ?>
										</div>
										<?php wc_get_template_part( 'content', 'product_header' ); ?>
									</div>
								<?php
		                            wc_get_template_part( 'content', 'product_results_bar' );
								} else {
		                        ?>
		                        	<div class="before-shop-header-wrapper clearfix">
										<?php do_action( 'woocommerce_before_shop_loop' ); ?>
									</div>
		                    <?php } ?>
	                        </div>
							<?php
								$subcategories = woocommerce_maybe_show_product_subcategories();
								if ( $subcategories ) {
									woocommerce_product_loop_start(); ?>
										<div class="row">
											<?php echo woocommerce_maybe_show_product_subcategories( ); ?>
										</div>
									<?php
									woocommerce_product_loop_end();
								}
							?>

							<?php woocommerce_product_loop_start(); ?>
								<?php
									$attr = 'class="products-wrapper-'.esc_attr($display_mode).'"';
									if ( $display_mode == 'metro' ) {
										$attr = 'class="products-wrapper-mansory isotope-items row" data-isotope-duration="400" data-columnwidth=".col-sm-3"';
									}
								?>
								<div <?php echo trim($attr); ?>>
									<?php if ( $display_mode == 'list' || $display_mode == 'grid' ) { ?>
										<div class="row row-products-wrapper">
											
											 	<?php while ( have_posts() ) : the_post(); ?>
													<?php wc_get_template_part( 'content', 'product' ); ?>
												<?php endwhile; // end of the loop. ?>
																				
										</div>
									<?php } else { ?>
										<?php while ( have_posts() ) : the_post(); ?>
											<?php wc_get_template_part( 'content', 'product' ); ?>
										<?php endwhile; // end of the loop. ?>
									<?php } ?>
									
								</div>

							<?php woocommerce_product_loop_end(); ?>

							<?php do_action( 'woocommerce_after_shop_loop' ); ?>

						<?php elseif ( ! woocommerce_product_subcategories( array( 'before' => woocommerce_product_loop_start( false ), 'after' => woocommerce_product_loop_end( false ) ) ) ) : ?>
							<?php do_action( 'woocommerce_no_products_found' ); ?>
						<?php endif; ?>

					</div>
				</div><!-- #content -->
			</div><!-- #primary -->
		</div><!-- #main-content -->
		
		<?php capie_display_sidebar_right( $sidebar_configs ); ?>
		
	</div>
</section>
<?php

get_footer();
