<?php
/**
 * Single Product Rating
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/rating.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce/Templates
 * @version 3.6.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

global $product;

$stock_sold = ( $total_sales = get_post_meta( $product->get_id(), 'total_sales', true ) ) ? round( $total_sales ) : 0;
$stock_available = ( $stock = get_post_meta( $product->get_id(), '_stock', true ) ) ? round( $stock ) : 0;
$total_stock = $stock_sold + $stock_available;
$percentage = ( $stock_available > 0 ? round($stock_sold/$total_stock * 100) : 0 );

if ( $stock_available > 0 ) {
?>

	<div class="woocommerce-product-sold">
		<div class="special-progress">
	        <div class="progress">
	            <span class="progress-bar" style="<?php echo esc_attr('width:' . $percentage . '%'); ?>"></span>
	        </div>
	        <div class="claimed">
	        	<div class="sold">
	            	<?php echo sprintf(__('Already Sold: <strong>%s</strong>', 'capie'), $stock_sold); ?>
	            </div>
	            <div class="available">
	            	<?php echo sprintf(__('Available: <strong>%s</strong>', 'capie'), $stock_available); ?>
	            </div>
	        </div>
	    </div>
	</div>

<?php }
